<?xml version='1.0' encoding='UTF-8'?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	version="3.0"
	xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd">
	<!-- RichFaces -->
	<context-param>
		<param-name>org.richfaces.skin</param-name>
		<param-value>plain</param-value>
	</context-param>
	<context-param>
		<param-name>org.richfaces.resourceOptimization.enabled</param-name>
		<param-value>true</param-value>
	</context-param>
	<!-- Suppress spurious stylesheets -->
	<context-param>
		<param-name>javax.faces.FACELETS_LIBRARIES</param-name>
		<param-value>/WEB-INF/classes/META-INF/gazelle.taglib.xml</param-value>
	</context-param>

	<context-param>
		<param-name>org.richfaces.enableControlSkinning</param-name>
		<param-value>false</param-value>
	</context-param>
	<context-param>
		<param-name>org.richfaces.enableControlSkinningClasses</param-name>
		<param-value>false</param-value>
	</context-param>
	<!-- JSF -->
	<context-param>
		<param-name>javax.faces.DEFAULT_SUFFIX</param-name>
		<param-value>.xhtml</param-value>
	</context-param>
	<context-param>
		<param-name>org.richfaces.fileUpload.maxRequestSize</param-name>
		<param-value>100000000</param-value>
	</context-param>
	<!-- Seam -->
	<listener>
		<listener-class>org.jboss.seam.servlet.SeamListener</listener-class>
	</listener>
	<filter>
		<filter-name>Seam Filter</filter-name>
		<filter-class>org.jboss.seam.servlet.SeamFilter</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>Seam Filter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
	<servlet>
		<servlet-name>Seam Resource Servlet</servlet-name>
		<servlet-class>org.jboss.seam.servlet.SeamResourceServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>Seam Resource Servlet</servlet-name>
		<url-pattern>/seam/resource/*</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>Resource Servlet</servlet-name>
		<servlet-class>org.richfaces.webapp.ResourceServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>Resource Servlet</servlet-name>
		<url-pattern>/org.richfaces.resources/*</url-pattern>
	</servlet-mapping>
	<!-- Facelets development mode (disable in production) -->
	<context-param>
		<param-name>facelets.DEVELOPMENT</param-name>
		<param-value>${seam.debug}</param-value>
	</context-param>
	<servlet>
		<servlet-name>Faces Servlet</servlet-name>
		<servlet-class>javax.faces.webapp.FacesServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>Faces Servlet</servlet-name>
		<url-pattern>*.seam</url-pattern>
	</servlet-mapping>
	<session-config>
		<session-timeout>20</session-timeout>
		<tracking-mode>COOKIE</tracking-mode>
	</session-config>
	<security-constraint>
		<display-name>Restrict raw XHTML Documents</display-name>
		<web-resource-collection>
			<web-resource-name>XHTML</web-resource-name>
			<url-pattern>*.xhtml</url-pattern>
		</web-resource-collection>
		<auth-constraint />
	</security-constraint>
	<!-- CAS -->
    <context-param>
        <param-name>configurationStrategy</param-name>
        <param-value>PROPERTY_FILE</param-value>
    </context-param>

    <context-param>
        <param-name>configFileLocation</param-name>
        <param-value>/opt/gazelle/cas/proxy.properties</param-value>
    </context-param>

	<filter>
		<filter-name>CookieBrowserFilter</filter-name>
		<filter-class>net.ihe.gazelle.common.servletfilter.CookieBrowserFilter</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>CookieBrowserFilter</filter-name>
		<url-pattern>*.seam</url-pattern>
	</filter-mapping>

	<filter>
		<filter-name>ExpirationFilter</filter-name>
		<filter-class>net.ihe.gazelle.cas.client.authentication.SessionExpirationFilter</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>ExpirationFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

	<filter>
		<filter-name>CAS Single Sign Out Filter</filter-name>
		<filter-class>org.jasig.cas.client.session.SingleSignOutFilter</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>CAS Single Sign Out Filter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
    <listener>
        <listener-class>org.jasig.cas.client.session.SingleSignOutHttpSessionListener</listener-class>
    </listener>

    <filter>
        <filter-name>Gazelle CAS Authentication Filter</filter-name>
        <filter-class>net.ihe.gazelle.cas.client.authentication.AuthenticationFilter</filter-class>
	</filter>
    <filter-mapping>
        <filter-name>Gazelle CAS Authentication Filter</filter-name>
		<url-pattern>/login/login.seam</url-pattern>
    </filter-mapping>

	<filter>
		<filter-name>Gazelle Ip Authentication Filter</filter-name>
		<filter-class>net.ihe.gazelle.ssov7.authn.interlay.filter.IpAuthenticationFilter</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>Gazelle Ip Authentication Filter</filter-name>
		<url-pattern>/login/ipLogin.seam</url-pattern>
	</filter-mapping>

    <filter>
        <filter-name>Gazelle CAS logout filter</filter-name>
        <filter-class>net.ihe.gazelle.cas.client.authentication.LogoutFilter</filter-class>
	</filter>
	<filter-mapping>
        <filter-name>Gazelle CAS logout filter</filter-name>
        <url-pattern>/cas/logout.seam</url-pattern>
	</filter-mapping>

    <filter>
        <filter-name>CAS Validation Filter</filter-name>
        <filter-class>org.jasig.cas.client.validation.Cas30ProxyReceivingTicketValidationFilter
        </filter-class>
    </filter>
	<filter-mapping>
		<filter-name>CAS Validation Filter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

    <filter>
        <filter-name>CAS HttpServletRequest Wrapper Filter</filter-name>
        <filter-class>org.jasig.cas.client.util.HttpServletRequestWrapperFilter</filter-class>
    </filter>
	<filter-mapping>
		<filter-name>CAS HttpServletRequest Wrapper Filter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

	<!-- Resteasy -->
	<context-param>
		<param-name>resteasy.jndi.resources</param-name>
		<param-value>java:app/metadata-v7/VersionControllerImpl,java:app/metadata-v7/MetadataServiceControllerImpl,java:app/gazelle-proxy-jar/RecordServiceWS</param-value>
		<!--If you need to declare more than one resource, separate them by comas -->
	</context-param>
	<!-- The following lines are required only if you decide not to use the
		application base path as base URI for your REST services -->
	<context-param>
		<param-name>resteasy.servlet.mapping.prefix</param-name>
		<param-value>/rest</param-value>
	</context-param>
	<!-- Update number of view before error message :view couldn't be restored-->
	<context-param>
		<param-name>com.sun.faces.numberOfViewsInSession</param-name>
		<param-value>30</param-value>
	</context-param>
	<context-param>
		<param-name>com.sun.faces.numberOfLogicalViews</param-name>
		<param-value>30</param-value>
	</context-param>
	<!-- end of optional lines -->
	<listener>
		<listener-class>org.jboss.resteasy.plugins.server.servlet.ResteasyBootstrap</listener-class>
	</listener>
	<servlet>
		<servlet-name>Resteasy</servlet-name>
		<servlet-class>org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>Resteasy</servlet-name>
		<url-pattern>/rest/*</url-pattern>
	</servlet-mapping>
</web-app>